ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.53 by root, Fri Feb 18 12:15:06 2005 UTC vs.
Revision 1.69 by root, Mon Jan 16 11:26:39 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 896 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 897 --enable-iso14755 enable support for extended ISO 14755 modes
899 --enable-frills enable support for rarely used features 898 --enable-frills enable support for rarely used features
900 --enable-24bit enable support for using 24bit visuals if available 899 --enable-24bit enable support for using 24bit visuals if available
901 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 900 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
904 --enable-slipwheeling enable slip wheel scrolling (requires previous) 903 --enable-slipwheeling enable slip wheel scrolling (requires previous)
905 --enable-dmalloc enable Gray Watson's malloc - for debugging use 904 --enable-dmalloc enable Gray Watson's malloc - for debugging use
906 --enable-dlmalloc enable Doug Lea's malloc - for production use 905 --enable-dlmalloc enable Doug Lea's malloc - for production use
907 NOTE: enable only one malloc package 906 NOTE: enable only one malloc package
908 --enable-smart-resize enable smart growth/shrink behaviour 907 --enable-smart-resize enable smart growth/shrink behaviour
909 --enable-cursor-blink enable blinking cursor
910 --enable-text-blink enable blinking text 908 --enable-text-blink enable blinking text
911 --enable-pointer-blank enable pointer blank when typing or inactive pointer 909 --enable-pointer-blank enable pointer blank when typing or inactive pointer
912 910
913Optional Packages: 911Optional Packages:
914 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 912 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
3613 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3611 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3614 3612
3615fi 3613fi
3616 3614
3617 3615
3616echo "$as_me:$LINENO: checking for setlocale" >&5
3617echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3618if test "${ac_cv_func_setlocale+set}" = set; then
3619 echo $ECHO_N "(cached) $ECHO_C" >&6
3620else
3621 cat >conftest.$ac_ext <<_ACEOF
3622/* confdefs.h. */
3623_ACEOF
3624cat confdefs.h >>conftest.$ac_ext
3625cat >>conftest.$ac_ext <<_ACEOF
3626/* end confdefs.h. */
3627/* Define setlocale to an innocuous variant, in case <limits.h> declares setlocale.
3628 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3629#define setlocale innocuous_setlocale
3630
3631/* System header to define __stub macros and hopefully few prototypes,
3632 which can conflict with char setlocale (); below.
3633 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3634 <limits.h> exists even on freestanding compilers. */
3635
3636#ifdef __STDC__
3637# include <limits.h>
3638#else
3639# include <assert.h>
3640#endif
3641
3642#undef setlocale
3643
3644/* Override any gcc2 internal prototype to avoid an error. */
3645#ifdef __cplusplus
3646extern "C"
3647{
3648#endif
3649/* We use char because int might match the return type of a gcc2
3650 builtin and then its argument prototype would still apply. */
3651char setlocale ();
3652/* The GNU C library defines this for functions which it implements
3653 to always fail with ENOSYS. Some functions are actually named
3654 something starting with __ and the normal name is an alias. */
3655#if defined (__stub_setlocale) || defined (__stub___setlocale)
3656choke me
3657#else
3658char (*f) () = setlocale;
3659#endif
3660#ifdef __cplusplus
3661}
3662#endif
3663
3664int
3665main ()
3666{
3667return f != setlocale;
3668 ;
3669 return 0;
3670}
3671_ACEOF
3672rm -f conftest.$ac_objext conftest$ac_exeext
3673if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3674 (eval $ac_link) 2>conftest.er1
3675 ac_status=$?
3676 grep -v '^ *+' conftest.er1 >conftest.err
3677 rm -f conftest.er1
3678 cat conftest.err >&5
3679 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3680 (exit $ac_status); } &&
3681 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3682 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3683 (eval $ac_try) 2>&5
3684 ac_status=$?
3685 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3686 (exit $ac_status); }; } &&
3687 { ac_try='test -s conftest$ac_exeext'
3688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3689 (eval $ac_try) 2>&5
3690 ac_status=$?
3691 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3692 (exit $ac_status); }; }; then
3693 ac_cv_func_setlocale=yes
3694else
3695 echo "$as_me: failed program was:" >&5
3696sed 's/^/| /' conftest.$ac_ext >&5
3697
3698ac_cv_func_setlocale=no
3699fi
3700rm -f conftest.err conftest.$ac_objext \
3701 conftest$ac_exeext conftest.$ac_ext
3702fi
3703echo "$as_me:$LINENO: result: $ac_cv_func_setlocale" >&5
3704echo "${ECHO_T}$ac_cv_func_setlocale" >&6
3705if test $ac_cv_func_setlocale = yes; then
3706 :
3707else
3618echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5 3708 echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5
3619echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6 3709echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6
3620if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then 3710if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then
3621 echo $ECHO_N "(cached) $ECHO_C" >&6 3711 echo $ECHO_N "(cached) $ECHO_C" >&6
3622else 3712else
3623 ac_check_lib_save_LIBS=$LIBS 3713 ac_check_lib_save_LIBS=$LIBS
3680echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6 3770echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6
3681if test $ac_cv_lib_xpg4_setlocale = yes; then 3771if test $ac_cv_lib_xpg4_setlocale = yes; then
3682 LIBS="$LIBS -lxpg4" 3772 LIBS="$LIBS -lxpg4"
3683fi 3773fi
3684 3774
3775fi
3685 3776
3777
3778echo "$as_me:$LINENO: checking for gethostbyname" >&5
3779echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
3780if test "${ac_cv_func_gethostbyname+set}" = set; then
3781 echo $ECHO_N "(cached) $ECHO_C" >&6
3782else
3783 cat >conftest.$ac_ext <<_ACEOF
3784/* confdefs.h. */
3785_ACEOF
3786cat confdefs.h >>conftest.$ac_ext
3787cat >>conftest.$ac_ext <<_ACEOF
3788/* end confdefs.h. */
3789/* Define gethostbyname to an innocuous variant, in case <limits.h> declares gethostbyname.
3790 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3791#define gethostbyname innocuous_gethostbyname
3792
3793/* System header to define __stub macros and hopefully few prototypes,
3794 which can conflict with char gethostbyname (); below.
3795 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3796 <limits.h> exists even on freestanding compilers. */
3797
3798#ifdef __STDC__
3799# include <limits.h>
3800#else
3801# include <assert.h>
3802#endif
3803
3804#undef gethostbyname
3805
3806/* Override any gcc2 internal prototype to avoid an error. */
3807#ifdef __cplusplus
3808extern "C"
3809{
3810#endif
3811/* We use char because int might match the return type of a gcc2
3812 builtin and then its argument prototype would still apply. */
3813char gethostbyname ();
3814/* The GNU C library defines this for functions which it implements
3815 to always fail with ENOSYS. Some functions are actually named
3816 something starting with __ and the normal name is an alias. */
3817#if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
3818choke me
3819#else
3820char (*f) () = gethostbyname;
3821#endif
3822#ifdef __cplusplus
3823}
3824#endif
3825
3826int
3827main ()
3828{
3829return f != gethostbyname;
3830 ;
3831 return 0;
3832}
3833_ACEOF
3834rm -f conftest.$ac_objext conftest$ac_exeext
3835if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3836 (eval $ac_link) 2>conftest.er1
3837 ac_status=$?
3838 grep -v '^ *+' conftest.er1 >conftest.err
3839 rm -f conftest.er1
3840 cat conftest.err >&5
3841 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3842 (exit $ac_status); } &&
3843 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3844 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3845 (eval $ac_try) 2>&5
3846 ac_status=$?
3847 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3848 (exit $ac_status); }; } &&
3849 { ac_try='test -s conftest$ac_exeext'
3850 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3851 (eval $ac_try) 2>&5
3852 ac_status=$?
3853 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3854 (exit $ac_status); }; }; then
3855 ac_cv_func_gethostbyname=yes
3856else
3857 echo "$as_me: failed program was:" >&5
3858sed 's/^/| /' conftest.$ac_ext >&5
3859
3860ac_cv_func_gethostbyname=no
3861fi
3862rm -f conftest.err conftest.$ac_objext \
3863 conftest$ac_exeext conftest.$ac_ext
3864fi
3865echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
3866echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
3867if test $ac_cv_func_gethostbyname = yes; then
3868 :
3869else
3686echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5 3870 echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
3687echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6 3871echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
3688if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then 3872if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
3689 echo $ECHO_N "(cached) $ECHO_C" >&6 3873 echo $ECHO_N "(cached) $ECHO_C" >&6
3690else 3874else
3691 ac_check_lib_save_LIBS=$LIBS 3875 ac_check_lib_save_LIBS=$LIBS
3748echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6 3932echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
3749if test $ac_cv_lib_nsl_gethostbyname = yes; then 3933if test $ac_cv_lib_nsl_gethostbyname = yes; then
3750 LIBS="$LIBS -lnsl" 3934 LIBS="$LIBS -lnsl"
3751fi 3935fi
3752 3936
3937fi
3938
3939echo "$as_me:$LINENO: checking for socket" >&5
3940echo $ECHO_N "checking for socket... $ECHO_C" >&6
3941if test "${ac_cv_func_socket+set}" = set; then
3942 echo $ECHO_N "(cached) $ECHO_C" >&6
3943else
3944 cat >conftest.$ac_ext <<_ACEOF
3945/* confdefs.h. */
3946_ACEOF
3947cat confdefs.h >>conftest.$ac_ext
3948cat >>conftest.$ac_ext <<_ACEOF
3949/* end confdefs.h. */
3950/* Define socket to an innocuous variant, in case <limits.h> declares socket.
3951 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3952#define socket innocuous_socket
3953
3954/* System header to define __stub macros and hopefully few prototypes,
3955 which can conflict with char socket (); below.
3956 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3957 <limits.h> exists even on freestanding compilers. */
3958
3959#ifdef __STDC__
3960# include <limits.h>
3961#else
3962# include <assert.h>
3963#endif
3964
3965#undef socket
3966
3967/* Override any gcc2 internal prototype to avoid an error. */
3968#ifdef __cplusplus
3969extern "C"
3970{
3971#endif
3972/* We use char because int might match the return type of a gcc2
3973 builtin and then its argument prototype would still apply. */
3974char socket ();
3975/* The GNU C library defines this for functions which it implements
3976 to always fail with ENOSYS. Some functions are actually named
3977 something starting with __ and the normal name is an alias. */
3978#if defined (__stub_socket) || defined (__stub___socket)
3979choke me
3980#else
3981char (*f) () = socket;
3982#endif
3983#ifdef __cplusplus
3984}
3985#endif
3986
3987int
3988main ()
3989{
3990return f != socket;
3991 ;
3992 return 0;
3993}
3994_ACEOF
3995rm -f conftest.$ac_objext conftest$ac_exeext
3996if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3997 (eval $ac_link) 2>conftest.er1
3998 ac_status=$?
3999 grep -v '^ *+' conftest.er1 >conftest.err
4000 rm -f conftest.er1
4001 cat conftest.err >&5
4002 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4003 (exit $ac_status); } &&
4004 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4005 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4006 (eval $ac_try) 2>&5
4007 ac_status=$?
4008 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4009 (exit $ac_status); }; } &&
4010 { ac_try='test -s conftest$ac_exeext'
4011 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4012 (eval $ac_try) 2>&5
4013 ac_status=$?
4014 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4015 (exit $ac_status); }; }; then
4016 ac_cv_func_socket=yes
4017else
4018 echo "$as_me: failed program was:" >&5
4019sed 's/^/| /' conftest.$ac_ext >&5
4020
4021ac_cv_func_socket=no
4022fi
4023rm -f conftest.err conftest.$ac_objext \
4024 conftest$ac_exeext conftest.$ac_ext
4025fi
4026echo "$as_me:$LINENO: result: $ac_cv_func_socket" >&5
4027echo "${ECHO_T}$ac_cv_func_socket" >&6
4028if test $ac_cv_func_socket = yes; then
4029 :
4030else
3753echo "$as_me:$LINENO: checking for socket in -lsocket" >&5 4031 echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
3754echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6 4032echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
3755if test "${ac_cv_lib_socket_socket+set}" = set; then 4033if test "${ac_cv_lib_socket_socket+set}" = set; then
3756 echo $ECHO_N "(cached) $ECHO_C" >&6 4034 echo $ECHO_N "(cached) $ECHO_C" >&6
3757else 4035else
3758 ac_check_lib_save_LIBS=$LIBS 4036 ac_check_lib_save_LIBS=$LIBS
3815echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6 4093echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
3816if test $ac_cv_lib_socket_socket = yes; then 4094if test $ac_cv_lib_socket_socket = yes; then
3817 LIBS="$LIBS -lsocket" 4095 LIBS="$LIBS -lsocket"
3818fi 4096fi
3819 4097
4098fi
4099
4100
4101echo "$as_me:$LINENO: checking for sched_yield" >&5
4102echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4103if test "${ac_cv_func_sched_yield+set}" = set; then
4104 echo $ECHO_N "(cached) $ECHO_C" >&6
4105else
4106 cat >conftest.$ac_ext <<_ACEOF
4107/* confdefs.h. */
4108_ACEOF
4109cat confdefs.h >>conftest.$ac_ext
4110cat >>conftest.$ac_ext <<_ACEOF
4111/* end confdefs.h. */
4112/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4113 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4114#define sched_yield innocuous_sched_yield
4115
4116/* System header to define __stub macros and hopefully few prototypes,
4117 which can conflict with char sched_yield (); below.
4118 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4119 <limits.h> exists even on freestanding compilers. */
4120
4121#ifdef __STDC__
4122# include <limits.h>
4123#else
4124# include <assert.h>
4125#endif
4126
4127#undef sched_yield
4128
4129/* Override any gcc2 internal prototype to avoid an error. */
4130#ifdef __cplusplus
4131extern "C"
4132{
4133#endif
4134/* We use char because int might match the return type of a gcc2
4135 builtin and then its argument prototype would still apply. */
4136char sched_yield ();
4137/* The GNU C library defines this for functions which it implements
4138 to always fail with ENOSYS. Some functions are actually named
4139 something starting with __ and the normal name is an alias. */
4140#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4141choke me
4142#else
4143char (*f) () = sched_yield;
4144#endif
4145#ifdef __cplusplus
4146}
4147#endif
4148
4149int
4150main ()
4151{
4152return f != sched_yield;
4153 ;
4154 return 0;
4155}
4156_ACEOF
4157rm -f conftest.$ac_objext conftest$ac_exeext
4158if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4159 (eval $ac_link) 2>conftest.er1
4160 ac_status=$?
4161 grep -v '^ *+' conftest.er1 >conftest.err
4162 rm -f conftest.er1
4163 cat conftest.err >&5
4164 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4165 (exit $ac_status); } &&
4166 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4167 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4168 (eval $ac_try) 2>&5
4169 ac_status=$?
4170 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4171 (exit $ac_status); }; } &&
4172 { ac_try='test -s conftest$ac_exeext'
4173 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4174 (eval $ac_try) 2>&5
4175 ac_status=$?
4176 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4177 (exit $ac_status); }; }; then
4178 ac_cv_func_sched_yield=yes
4179else
4180 echo "$as_me: failed program was:" >&5
4181sed 's/^/| /' conftest.$ac_ext >&5
4182
4183ac_cv_func_sched_yield=no
4184fi
4185rm -f conftest.err conftest.$ac_objext \
4186 conftest$ac_exeext conftest.$ac_ext
4187fi
4188echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4189echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4190if test $ac_cv_func_sched_yield = yes; then
4191 :
4192else
4193 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4194echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4195if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4196 echo $ECHO_N "(cached) $ECHO_C" >&6
4197else
4198 ac_check_lib_save_LIBS=$LIBS
4199LIBS="-lrt $LIBS"
4200cat >conftest.$ac_ext <<_ACEOF
4201/* confdefs.h. */
4202_ACEOF
4203cat confdefs.h >>conftest.$ac_ext
4204cat >>conftest.$ac_ext <<_ACEOF
4205/* end confdefs.h. */
4206
4207/* Override any gcc2 internal prototype to avoid an error. */
4208#ifdef __cplusplus
4209extern "C"
4210#endif
4211/* We use char because int might match the return type of a gcc2
4212 builtin and then its argument prototype would still apply. */
4213char sched_yield ();
4214int
4215main ()
4216{
4217sched_yield ();
4218 ;
4219 return 0;
4220}
4221_ACEOF
4222rm -f conftest.$ac_objext conftest$ac_exeext
4223if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4224 (eval $ac_link) 2>conftest.er1
4225 ac_status=$?
4226 grep -v '^ *+' conftest.er1 >conftest.err
4227 rm -f conftest.er1
4228 cat conftest.err >&5
4229 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4230 (exit $ac_status); } &&
4231 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4232 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4233 (eval $ac_try) 2>&5
4234 ac_status=$?
4235 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4236 (exit $ac_status); }; } &&
4237 { ac_try='test -s conftest$ac_exeext'
4238 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4239 (eval $ac_try) 2>&5
4240 ac_status=$?
4241 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4242 (exit $ac_status); }; }; then
4243 ac_cv_lib_rt_sched_yield=yes
4244else
4245 echo "$as_me: failed program was:" >&5
4246sed 's/^/| /' conftest.$ac_ext >&5
4247
4248ac_cv_lib_rt_sched_yield=no
4249fi
4250rm -f conftest.err conftest.$ac_objext \
4251 conftest$ac_exeext conftest.$ac_ext
4252LIBS=$ac_check_lib_save_LIBS
4253fi
4254echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4255echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4256if test $ac_cv_lib_rt_sched_yield = yes; then
4257 LIBS="$LIBS -lrt"
4258fi
4259
4260fi
4261
4262
4263echo "$as_me:$LINENO: checking for sched_yield support" >&5
4264echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4265cat >conftest.$ac_ext <<_ACEOF
4266/* confdefs.h. */
4267_ACEOF
4268cat confdefs.h >>conftest.$ac_ext
4269cat >>conftest.$ac_ext <<_ACEOF
4270/* end confdefs.h. */
4271#include <sched.h>
4272int
4273main ()
4274{
4275sched_yield ()
4276 ;
4277 return 0;
4278}
4279_ACEOF
4280rm -f conftest.$ac_objext conftest$ac_exeext
4281if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4282 (eval $ac_link) 2>conftest.er1
4283 ac_status=$?
4284 grep -v '^ *+' conftest.er1 >conftest.err
4285 rm -f conftest.er1
4286 cat conftest.err >&5
4287 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4288 (exit $ac_status); } &&
4289 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4290 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4291 (eval $ac_try) 2>&5
4292 ac_status=$?
4293 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4294 (exit $ac_status); }; } &&
4295 { ac_try='test -s conftest$ac_exeext'
4296 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4297 (eval $ac_try) 2>&5
4298 ac_status=$?
4299 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4300 (exit $ac_status); }; }; then
4301 echo "$as_me:$LINENO: result: yes" >&5
4302echo "${ECHO_T}yes" >&6
4303
4304cat >>confdefs.h <<\_ACEOF
4305#define HAVE_SCHED_YIELD 1
4306_ACEOF
4307
4308else
4309 echo "$as_me: failed program was:" >&5
4310sed 's/^/| /' conftest.$ac_ext >&5
4311
4312echo "$as_me:$LINENO: result: no" >&5
4313echo "${ECHO_T}no" >&6
4314fi
4315rm -f conftest.err conftest.$ac_objext \
4316 conftest$ac_exeext conftest.$ac_ext
3820 4317
3821 4318
3822MALLOC_TYPE=S 4319MALLOC_TYPE=S
3823support_addstrings=no 4320
3824support_frills=no 4321support_frills=yes
3825support_inheritpixmap=no 4322support_inheritpixmap=yes
3826support_tinting=no 4323support_tinting=yes
3827support_fading=no 4324support_fading=yes
3828support_keepscrolling=no 4325support_keepscrolling=yes
3829support_selectionscrolling=no 4326support_selectionscrolling=yes
3830support_menubar=no 4327support_menubar=no
3831support_mousewheel=no 4328support_mousewheel=yes
3832support_mouseslipwheel=no 4329support_mouseslipwheel=yes
3833support_utmp=no 4330support_utmp=yes
3834support_wtmp=no 4331support_wtmp=yes
3835support_lastlog=no 4332support_lastlog=yes
3836support_cursor_blink=no
3837support_text_blink=no 4333support_text_blink=yes
3838support_pointer_blank=no 4334support_pointer_blank=yes
3839support_scroll_rxvt=no 4335support_scroll_rxvt=yes
3840support_scroll_next=no 4336support_scroll_next=yes
3841support_scroll_xterm=no 4337support_scroll_xterm=yes
3842support_scroll_plain=no 4338support_scroll_plain=yes
3843support_xim=no 4339support_xim=yes
3844support_xpm=no 4340support_xpm=yes
3845support_xft=no 4341support_xft=yes
3846support_unicode3=no 4342support_unicode3=no
3847support_combining=no 4343support_combining=yes
3848support_8bitctrls=no 4344support_8bitctrls=no
3849support_iso14755=no 4345support_iso14755=yes
3850support_styles=no 4346support_styles=yes
4347support_perl=yes
3851codesets= 4348codesets=all
3852 4349
3853 4350
3854if test "x$enable_shared" = xyes; then 4351if test "x$enable_shared" = xyes; then
3855 4352
3856cat >>confdefs.h <<\_ACEOF 4353cat >>confdefs.h <<\_ACEOF
3862 4359
3863 4360
3864# Check whether --enable-everything or --disable-everything was given. 4361# Check whether --enable-everything or --disable-everything was given.
3865if test "${enable_everything+set}" = set; then 4362if test "${enable_everything+set}" = set; then
3866 enableval="$enable_everything" 4363 enableval="$enable_everything"
4364
4365 if test x$enableval = xno; then
4366 support_24bit=no
4367 support_frills=no
4368 support_inheritpixmap=no
4369 support_tinting=no
4370 support_fading=no
4371 support_keepscrolling=no
4372 support_selectionscrolling=no
4373 support_lastlog=no
4374 support_menubar=no
4375 support_mousewheel=no
4376 support_mouseslipwheel=no
4377 support_text_blink=no
4378 support_pointer_blank=no
4379 support_scroll_rxvt=no
4380 support_scroll_next=no
4381 support_scroll_xterm=no
4382 support_scroll_plain=no
4383 support_utmp=no
4384 support_wtmp=no
4385 support_xim=no
4386 support_xpm=no
4387 support_xft=no
4388 support_unicode3=no
4389 support_combining=no
4390 support_8bitctrls=no
4391 support_iso14755=no
4392 support_styles=no
4393 support_perl=no
4394 codesets=
4395 fi
3867 if test x$enableval = xyes; then 4396 if test x$enableval = xyes; then
3868 support_24bit=yes 4397 support_24bit=yes
3869 support_frills=yes 4398 support_frills=yes
3870 support_inheritpixmap=yes 4399 support_inheritpixmap=yes
3871 support_tinting=yes 4400 support_tinting=yes
3872 support_fading=yes 4401 support_fading=yes
3873 support_keepscrolling=yes 4402 support_keepscrolling=yes
3874 support_selectionscrolling=yes 4403 support_selectionscrolling=yes
3875 support_lastlog=yes 4404 support_lastlog=yes
3876 support_menubar=yes 4405 support_menubar=yes
3877 support_mousewheel=yes 4406 support_mousewheel=yes
3878 support_mouseslipwheel=yes 4407 support_mouseslipwheel=yes
3879 support_cursor_blink=yes
3880 support_text_blink=yes 4408 support_text_blink=yes
3881 support_pointer_blank=yes 4409 support_pointer_blank=yes
3882 support_scroll_rxvt=yes 4410 support_scroll_rxvt=yes
3883 support_scroll_next=yes 4411 support_scroll_next=yes
3884 support_scroll_xterm=yes 4412 support_scroll_xterm=yes
3885 support_scroll_plain=yes 4413 support_scroll_plain=yes
3886 support_utmp=yes 4414 support_utmp=yes
3887 support_wtmp=yes 4415 support_wtmp=yes
3888 support_xim=yes 4416 support_xim=yes
3889 support_xpm=yes 4417 support_xpm=yes
3890 support_xft=yes 4418 support_xft=yes
3891 support_unicode3=yes 4419 support_unicode3=yes
3892 support_combining=yes 4420 support_combining=yes
3893 #support_8bitctrls=yes 4421 #support_8bitctrls=yes
3894 support_iso14755=yes 4422 support_iso14755=yes
3895 support_styles=yes 4423 support_styles=yes
4424 support_perl=yes
3896 codesets=all 4425 codesets=all
3897 fi 4426 fi
4427
3898fi; 4428fi;
3899 4429
3900# Check whether --enable-unicode3 or --disable-unicode3 was given. 4430# Check whether --enable-unicode3 or --disable-unicode3 was given.
3901if test "${enable_unicode3+set}" = set; then 4431if test "${enable_unicode3+set}" = set; then
3902 enableval="$enable_unicode3" 4432 enableval="$enable_unicode3"
4015 if test x$enableval = xyes -o x$enableval = xno; then 4545 if test x$enableval = xyes -o x$enableval = xno; then
4016 support_scroll_xterm=$enableval 4546 support_scroll_xterm=$enableval
4017 fi 4547 fi
4018fi; 4548fi;
4019 4549
4550# Check whether --enable-perl or --disable-perl was given.
4551if test "${enable_perl+set}" = set; then
4552 enableval="$enable_perl"
4553 if test x$enableval = xyes -o x$enableval = xno; then
4554 support_perl=$enableval
4555 fi
4556fi;
4557
4020# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4558# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4021if test "${enable_plain_scroll+set}" = set; then 4559if test "${enable_plain_scroll+set}" = set; then
4022 enableval="$enable_plain_scroll" 4560 enableval="$enable_plain_scroll"
4023 if test x$enableval = xyes -o x$enableval = xno; then 4561 if test x$enableval = xyes -o x$enableval = xno; then
4024 support_scroll_plain=$enableval 4562 support_scroll_plain=$enableval
4098_ACEOF 4636_ACEOF
4099 4637
4100 fi 4638 fi
4101fi; 4639fi;
4102 4640
4103# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4104if test "${enable_xgetdefault+set}" = set; then
4105 enableval="$enable_xgetdefault"
4106 if test x$enableval = xyes; then
4107
4108cat >>confdefs.h <<\_ACEOF
4109#define USE_XGETDEFAULT 1
4110_ACEOF
4111
4112 fi
4113fi;
4114
4115# Check whether --enable-8bitctrls or --disable-8bitctrls was given. 4641# Check whether --enable-8bitctrls or --disable-8bitctrls was given.
4116if test "${enable_8bitctrls+set}" = set; then 4642if test "${enable_8bitctrls+set}" = set; then
4117 enableval="$enable_8bitctrls" 4643 enableval="$enable_8bitctrls"
4118 if test x$enableval = xyes -o x$enableval = xno; then 4644 if test x$enableval = xyes -o x$enableval = xno; then
4119 support_8bitctrls=$enableval 4645 support_8bitctrls=$enableval
4178_ACEOF 4704_ACEOF
4179 4705
4180 4706
4181RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"` 4707RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"`
4182 4708
4183
4184# Check whether --enable-strings or --disable-strings was given.
4185if test "${enable_strings+set}" = set; then
4186 enableval="$enable_strings"
4187 if test x$enableval = xyes -o x$enableval = xno; then
4188 support_addstrings=$enableval
4189 fi
4190fi;
4191 4709
4192# Check whether --enable-swapscreen or --disable-swapscreen was given. 4710# Check whether --enable-swapscreen or --disable-swapscreen was given.
4193if test "${enable_swapscreen+set}" = set; then 4711if test "${enable_swapscreen+set}" = set; then
4194 enableval="$enable_swapscreen" 4712 enableval="$enable_swapscreen"
4195 if test x$enableval = xno; then 4713 if test x$enableval = xno; then
4286 4804
4287cat >>confdefs.h <<\_ACEOF 4805cat >>confdefs.h <<\_ACEOF
4288#define SMART_RESIZE 1 4806#define SMART_RESIZE 1
4289_ACEOF 4807_ACEOF
4290 4808
4291 fi
4292fi;
4293
4294# Check whether --enable-cursor-blink or --disable-cursor-blink was given.
4295if test "${enable_cursor_blink+set}" = set; then
4296 enableval="$enable_cursor_blink"
4297 if test x$enableval = xyes -o x$enableval = xno; then
4298 support_cursor_blink=$enableval
4299 fi 4809 fi
4300fi; 4810fi;
4301 4811
4302# Check whether --enable-text-blink or --disable-text-blink was given. 4812# Check whether --enable-text-blink or --disable-text-blink was given.
4303if test "${enable_text_blink+set}" = set; then 4813if test "${enable_text_blink+set}" = set; then
4813/* confdefs.h. */ 5323/* confdefs.h. */
4814_ACEOF 5324_ACEOF
4815cat confdefs.h >>conftest.$ac_ext 5325cat confdefs.h >>conftest.$ac_ext
4816cat >>conftest.$ac_ext <<_ACEOF 5326cat >>conftest.$ac_ext <<_ACEOF
4817/* end confdefs.h. */ 5327/* end confdefs.h. */
4818#include <X11/Intrinsic.h> 5328#include <X11/Xlib.h>
4819_ACEOF 5329_ACEOF
4820if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 5330if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4821 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 5331 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4822 ac_status=$? 5332 ac_status=$?
4823 grep -v '^ *+' conftest.er1 >conftest.err 5333 grep -v '^ *+' conftest.er1 >conftest.err
4840else 5350else
4841 echo "$as_me: failed program was:" >&5 5351 echo "$as_me: failed program was:" >&5
4842sed 's/^/| /' conftest.$ac_ext >&5 5352sed 's/^/| /' conftest.$ac_ext >&5
4843 5353
4844 for ac_dir in $ac_x_header_dirs; do 5354 for ac_dir in $ac_x_header_dirs; do
4845 if test -r "$ac_dir/X11/Intrinsic.h"; then 5355 if test -r "$ac_dir/X11/Xlib.h"; then
4846 ac_x_includes=$ac_dir 5356 ac_x_includes=$ac_dir
4847 break 5357 break
4848 fi 5358 fi
4849done 5359done
4850fi 5360fi
4854if test "$ac_x_libraries" = no; then 5364if test "$ac_x_libraries" = no; then
4855 # Check for the libraries. 5365 # Check for the libraries.
4856 # See if we find them without any special options. 5366 # See if we find them without any special options.
4857 # Don't add to $LIBS permanently. 5367 # Don't add to $LIBS permanently.
4858 ac_save_LIBS=$LIBS 5368 ac_save_LIBS=$LIBS
4859 LIBS="-lXt $LIBS" 5369 LIBS="-lX11 $LIBS"
4860 cat >conftest.$ac_ext <<_ACEOF 5370 cat >conftest.$ac_ext <<_ACEOF
4861/* confdefs.h. */ 5371/* confdefs.h. */
4862_ACEOF 5372_ACEOF
4863cat confdefs.h >>conftest.$ac_ext 5373cat confdefs.h >>conftest.$ac_ext
4864cat >>conftest.$ac_ext <<_ACEOF 5374cat >>conftest.$ac_ext <<_ACEOF
4865/* end confdefs.h. */ 5375/* end confdefs.h. */
4866#include <X11/Intrinsic.h> 5376#include <X11/Xlib.h>
4867int 5377int
4868main () 5378main ()
4869{ 5379{
4870XtMalloc (0) 5380XrmInitialize ()
4871 ; 5381 ;
4872 return 0; 5382 return 0;
4873} 5383}
4874_ACEOF 5384_ACEOF
4875rm -f conftest.$ac_objext conftest$ac_exeext 5385rm -f conftest.$ac_objext conftest$ac_exeext
4903LIBS=$ac_save_LIBS 5413LIBS=$ac_save_LIBS
4904for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g` 5414for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
4905do 5415do
4906 # Don't even attempt the hair of trying to link an X program! 5416 # Don't even attempt the hair of trying to link an X program!
4907 for ac_extension in a so sl; do 5417 for ac_extension in a so sl; do
4908 if test -r $ac_dir/libXt.$ac_extension; then 5418 if test -r $ac_dir/libX11.$ac_extension; then
4909 ac_x_libraries=$ac_dir 5419 ac_x_libraries=$ac_dir
4910 break 2 5420 break 2
4911 fi 5421 fi
4912 done 5422 done
4913done 5423done
6775 7285
6776 7286
6777 7287
6778 7288
6779 7289
7290
7291
6780for ac_header in \ 7292for ac_header in \
6781 assert.h \ 7293 assert.h \
6782 fcntl.h \ 7294 fcntl.h \
6783 grp.h \ 7295 grp.h \
6784 libc.h \ 7296 libc.h \
6797 sys/time.h \ 7309 sys/time.h \
6798 utmp.h \ 7310 utmp.h \
6799 utmpx.h \ 7311 utmpx.h \
6800 stdint.h \ 7312 stdint.h \
6801 pty.h \ 7313 pty.h \
7314 util.h \
7315 libutil.h \
6802 wchar.h \ 7316 wchar.h \
6803 cwchar \ 7317 cwchar \
6804 clocale \ 7318 clocale \
6805 7319
6806do 7320do
9670 seteuid \ 10184 seteuid \
9671 setreuid \ 10185 setreuid \
9672 setsid \ 10186 setsid \
9673 setpgrp \ 10187 setpgrp \
9674 setpgid \ 10188 setpgid \
9675 openpty \
9676 _getpty \ 10189 _getpty \
10190 posix_openpt \
9677 grantpt \ 10191 grantpt \
9678 unlockpt \ 10192 unlockpt \
9679 isastream \ 10193 isastream \
9680 on_exit \ 10194 on_exit \
9681 nanosleep \ 10195 nanosleep \
11316#define HAVE_NL_LANGINFO 1 11830#define HAVE_NL_LANGINFO 1
11317_ACEOF 11831_ACEOF
11318 11832
11319fi 11833fi
11320 11834
11835echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11836echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11837if test "${rxvt_can_pass_fds+set}" = set; then
11838 echo $ECHO_N "(cached) $ECHO_C" >&6
11839else
11840 cat >conftest.$ac_ext <<_ACEOF
11841/* confdefs.h. */
11842_ACEOF
11843cat confdefs.h >>conftest.$ac_ext
11844cat >>conftest.$ac_ext <<_ACEOF
11845/* end confdefs.h. */
11846
11847#include <sys/types.h>
11848#include <sys/socket.h>
11849
11850int
11851main ()
11852{
11853
11854{
11855 msghdr msg;
11856 iovec iov;
11857 char buf [100];
11858 char data = 0;
11859
11860 iov.iov_base = &data;
11861 iov.iov_len = 1;
11862
11863 msg.msg_iov = &iov;
11864 msg.msg_iovlen = 1;
11865 msg.msg_control = buf;
11866 msg.msg_controllen = sizeof buf;
11867
11868 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
11869 cmsg->cmsg_level = SOL_SOCKET;
11870 cmsg->cmsg_type = SCM_RIGHTS;
11871 cmsg->cmsg_len = 100;
11872
11873 *(int *)CMSG_DATA (cmsg) = 5;
11874
11875 return sendmsg (3, &msg, 0);
11876}
11877
11878 ;
11879 return 0;
11880}
11881_ACEOF
11882rm -f conftest.$ac_objext conftest$ac_exeext
11883if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11884 (eval $ac_link) 2>conftest.er1
11885 ac_status=$?
11886 grep -v '^ *+' conftest.er1 >conftest.err
11887 rm -f conftest.er1
11888 cat conftest.err >&5
11889 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11890 (exit $ac_status); } &&
11891 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11892 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11893 (eval $ac_try) 2>&5
11894 ac_status=$?
11895 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11896 (exit $ac_status); }; } &&
11897 { ac_try='test -s conftest$ac_exeext'
11898 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11899 (eval $ac_try) 2>&5
11900 ac_status=$?
11901 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11902 (exit $ac_status); }; }; then
11903 rxvt_can_pass_fds=yes
11904else
11905 echo "$as_me: failed program was:" >&5
11906sed 's/^/| /' conftest.$ac_ext >&5
11907
11908rxvt_can_pass_fds=no
11909fi
11910rm -f conftest.err conftest.$ac_objext \
11911 conftest$ac_exeext conftest.$ac_ext
11912fi
11913echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
11914echo "${ECHO_T}$rxvt_can_pass_fds" >&6
11915if test x$rxvt_can_pass_fds = xyes; then
11916
11917cat >>confdefs.h <<\_ACEOF
11918#define HAVE_UNIX_FDPASS 1
11919_ACEOF
11920
11921fi
11922
11321echo "$as_me:$LINENO: checking for broken XIM callback" >&5 11923echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11322echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 11924echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11323if test "${rxvt_broken_ximcb+set}" = set; then 11925if test "${rxvt_broken_ximcb+set}" = set; then
11324 echo $ECHO_N "(cached) $ECHO_C" >&6 11926 echo $ECHO_N "(cached) $ECHO_C" >&6
11325else 11927else
11374#define XIMCB_PROTO_BROKEN 1 11976#define XIMCB_PROTO_BROKEN 1
11375_ACEOF 11977_ACEOF
11376 11978
11377fi 11979fi
11378 11980
11981if test x$rxvt_cv_func_posix_openpt = xno; then
11379echo "$as_me:$LINENO: checking for getpt" >&5 11982 echo "$as_me:$LINENO: checking for openpty" >&5
11380echo $ECHO_N "checking for getpt... $ECHO_C" >&6 11983echo $ECHO_N "checking for openpty... $ECHO_C" >&6
11381if test "${rxvt_cv_func_getpt+set}" = set; then 11984if test "${ac_cv_func_openpty+set}" = set; then
11382 echo $ECHO_N "(cached) $ECHO_C" >&6 11985 echo $ECHO_N "(cached) $ECHO_C" >&6
11383else 11986else
11384 cat >conftest.$ac_ext <<_ACEOF 11987 cat >conftest.$ac_ext <<_ACEOF
11385/* confdefs.h. */ 11988/* confdefs.h. */
11386_ACEOF 11989_ACEOF
11387cat confdefs.h >>conftest.$ac_ext 11990cat confdefs.h >>conftest.$ac_ext
11388cat >>conftest.$ac_ext <<_ACEOF 11991cat >>conftest.$ac_ext <<_ACEOF
11389/* end confdefs.h. */ 11992/* end confdefs.h. */
11390#define _GNU_SOURCE 11993/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
11391#ifdef HAVE_STDLIB_H 11994 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11392# include <cstdlib> 11995#define openpty innocuous_openpty
11996
11997/* System header to define __stub macros and hopefully few prototypes,
11998 which can conflict with char openpty (); below.
11999 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12000 <limits.h> exists even on freestanding compilers. */
12001
12002#ifdef __STDC__
12003# include <limits.h>
12004#else
12005# include <assert.h>
11393#endif 12006#endif
12007
12008#undef openpty
12009
12010/* Override any gcc2 internal prototype to avoid an error. */
12011#ifdef __cplusplus
12012extern "C"
12013{
12014#endif
12015/* We use char because int might match the return type of a gcc2
12016 builtin and then its argument prototype would still apply. */
12017char openpty ();
12018/* The GNU C library defines this for functions which it implements
12019 to always fail with ENOSYS. Some functions are actually named
12020 something starting with __ and the normal name is an alias. */
12021#if defined (__stub_openpty) || defined (__stub___openpty)
12022choke me
12023#else
12024char (*f) () = openpty;
12025#endif
12026#ifdef __cplusplus
12027}
12028#endif
12029
11394int 12030int
11395main () 12031main ()
11396{ 12032{
11397(void)getpt(); 12033return f != openpty;
11398 ; 12034 ;
11399 return 0; 12035 return 0;
11400} 12036}
11401_ACEOF 12037_ACEOF
11402rm -f conftest.$ac_objext conftest$ac_exeext 12038rm -f conftest.$ac_objext conftest$ac_exeext
11418 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12054 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11419 (eval $ac_try) 2>&5 12055 (eval $ac_try) 2>&5
11420 ac_status=$? 12056 ac_status=$?
11421 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12057 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11422 (exit $ac_status); }; }; then 12058 (exit $ac_status); }; }; then
11423 rxvt_cv_func_getpt=yes 12059 ac_cv_func_openpty=yes
11424else 12060else
11425 echo "$as_me: failed program was:" >&5 12061 echo "$as_me: failed program was:" >&5
11426sed 's/^/| /' conftest.$ac_ext >&5 12062sed 's/^/| /' conftest.$ac_ext >&5
11427 12063
11428rxvt_cv_func_getpt=no 12064ac_cv_func_openpty=no
11429fi 12065fi
11430rm -f conftest.err conftest.$ac_objext \ 12066rm -f conftest.err conftest.$ac_objext \
11431 conftest$ac_exeext conftest.$ac_ext 12067 conftest$ac_exeext conftest.$ac_ext
11432fi 12068fi
11433echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12069echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
11434echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12070echo "${ECHO_T}$ac_cv_func_openpty" >&6
11435if test x$rxvt_cv_func_getpt = xyes; then 12071if test $ac_cv_func_openpty = yes; then
11436 12072 :
12073else
12074 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12075echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12076if test "${ac_cv_lib_util_openpty+set}" = set; then
12077 echo $ECHO_N "(cached) $ECHO_C" >&6
12078else
12079 ac_check_lib_save_LIBS=$LIBS
12080LIBS="-lutil $LIBS"
12081cat >conftest.$ac_ext <<_ACEOF
12082/* confdefs.h. */
12083_ACEOF
12084cat confdefs.h >>conftest.$ac_ext
11437cat >>confdefs.h <<\_ACEOF 12085cat >>conftest.$ac_ext <<_ACEOF
11438#define HAVE_GETPT 1 12086/* end confdefs.h. */
12087
12088/* Override any gcc2 internal prototype to avoid an error. */
12089#ifdef __cplusplus
12090extern "C"
12091#endif
12092/* We use char because int might match the return type of a gcc2
12093 builtin and then its argument prototype would still apply. */
12094char openpty ();
12095int
12096main ()
12097{
12098openpty ();
12099 ;
12100 return 0;
12101}
11439_ACEOF 12102_ACEOF
12103rm -f conftest.$ac_objext conftest$ac_exeext
12104if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12105 (eval $ac_link) 2>conftest.er1
12106 ac_status=$?
12107 grep -v '^ *+' conftest.er1 >conftest.err
12108 rm -f conftest.er1
12109 cat conftest.err >&5
12110 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12111 (exit $ac_status); } &&
12112 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12113 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12114 (eval $ac_try) 2>&5
12115 ac_status=$?
12116 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12117 (exit $ac_status); }; } &&
12118 { ac_try='test -s conftest$ac_exeext'
12119 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12120 (eval $ac_try) 2>&5
12121 ac_status=$?
12122 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12123 (exit $ac_status); }; }; then
12124 ac_cv_lib_util_openpty=yes
12125else
12126 echo "$as_me: failed program was:" >&5
12127sed 's/^/| /' conftest.$ac_ext >&5
12128
12129ac_cv_lib_util_openpty=no
12130fi
12131rm -f conftest.err conftest.$ac_objext \
12132 conftest$ac_exeext conftest.$ac_ext
12133LIBS=$ac_check_lib_save_LIBS
12134fi
12135echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12136echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12137if test $ac_cv_lib_util_openpty = yes; then
12138 LIBS="$LIBS -lutil"
12139fi
12140
12141fi
11440 12142
11441fi 12143fi
11442 12144
11443echo "$as_me:$LINENO: checking for pty/tty type" >&5 12145echo "$as_me:$LINENO: checking for pty/tty type" >&5
11444echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12146echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11445if test "${rxvt_cv_ptys+set}" = set; then 12147if test "${rxvt_cv_ptys+set}" = set; then
11446 echo $ECHO_N "(cached) $ECHO_C" >&6 12148 echo $ECHO_N "(cached) $ECHO_C" >&6
11447else 12149else
11448 if test x$ac_cv_func_openpty = xyes; then 12150 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11449 rxvt_cv_ptys=OPENPTY 12151 rxvt_cv_ptys=OPENPTY
12152 else if test x$ac_cv_func_posix_openpt = xyes; then
12153 rxvt_cv_ptys=POSIX
11450 else if test x$ac_cv_func__getpty = xyes; then 12154 else if test x$ac_cv_func__getpty = xyes; then
11451 rxvt_cv_ptys=SGI4 12155 rxvt_cv_ptys=SGI4
11452 else if test -c /dev/ttyp20; then 12156 else if test -c /dev/ttyp20; then
11453 rxvt_cv_ptys=SCO 12157 rxvt_cv_ptys=SCO
11454 else if test -c /dev/ptym/clone; then 12158 else if test -c /dev/ptym/clone; then
11455 rxvt_cv_ptys=HPUX 12159 rxvt_cv_ptys=HPUX
11456 else if test x$rxvt_cv_func_getpt = xyes; then
11457 rxvt_cv_ptys=GLIBC
11458 else if test -c /dev/ptc -a -c /dev/pts; then 12160 else if test -c /dev/ptc -a -c /dev/pts; then
11459 rxvt_cv_ptys=PTC 12161 rxvt_cv_ptys=PTC
11460 else if test -c /dev/ptc -a -d /dev/pts; then 12162 else if test -c /dev/ptc -a -d /dev/pts; then
11461 rxvt_cv_ptys=PTC 12163 rxvt_cv_ptys=PTC
11462 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12164 else if test -c /dev/ptmx -a -c /dev/pts/0; then
11477 12179
11478fi 12180fi
11479echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12181echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
11480echo "${ECHO_T}$rxvt_cv_ptys" >&6 12182echo "${ECHO_T}$rxvt_cv_ptys" >&6
11481 12183
12184if test x$rxvt_cv_ptys = xPOSIX; then
12185
12186cat >>confdefs.h <<\_ACEOF
12187#define PTYS_ARE_POSIX 1
12188_ACEOF
12189
12190fi
11482if test x$rxvt_cv_ptys = xOPENPTY; then 12191if test x$rxvt_cv_ptys = xOPENPTY; then
11483 12192
11484cat >>confdefs.h <<\_ACEOF 12193cat >>confdefs.h <<\_ACEOF
11485#define PTYS_ARE_OPENPTY 1 12194#define PTYS_ARE_OPENPTY 1
11486_ACEOF 12195_ACEOF
11512cat >>confdefs.h <<\_ACEOF 12221cat >>confdefs.h <<\_ACEOF
11513#define PTYS_ARE__GETPTY 1 12222#define PTYS_ARE__GETPTY 1
11514_ACEOF 12223_ACEOF
11515 12224
11516fi 12225fi
11517if test x$rxvt_cv_ptys = xCONVEX; then
11518
11519cat >>confdefs.h <<\_ACEOF
11520#define PTYS_ARE_GETPTY 1
11521_ACEOF
11522
11523fi
11524if test x$rxvt_cv_ptys = xGLIBC; then
11525
11526cat >>confdefs.h <<\_ACEOF
11527#define PTYS_ARE_GETPT 1
11528_ACEOF
11529
11530fi
11531if test x$rxvt_cv_ptys = xHPUX; then 12226if test x$rxvt_cv_ptys = xHPUX; then
11532 12227
11533cat >>confdefs.h <<\_ACEOF 12228cat >>confdefs.h <<\_ACEOF
11534#define PTYS_ARE_CLONE 1 12229#define PTYS_ARE_CLONE 1
11535_ACEOF 12230_ACEOF
11536 12231
11537fi 12232fi
11538if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xGLIBC; then 12233if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
11539 12234
11540cat >>confdefs.h <<\_ACEOF 12235cat >>confdefs.h <<\_ACEOF
11541#define PTYS_ARE_SEARCHED 1 12236#define PTYS_ARE_SEARCHED 1
11542_ACEOF 12237_ACEOF
11543 12238
11564 12259
11565fi 12260fi
11566 12261
11567if test x$support_xft = xyes; then 12262if test x$support_xft = xyes; then
11568 LIBS="$LIBS `pkg-config xft --libs`" 12263 LIBS="$LIBS `pkg-config xft --libs`"
11569 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11570 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12264 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11571 12265
11572 12266
11573for ac_header in X11/Xft/Xft.h 12267for ac_header in X11/Xft/Xft.h
11574do 12268do
11969cat >>confdefs.h <<\_ACEOF 12663cat >>confdefs.h <<\_ACEOF
11970#define POINTER_BLANK 1 12664#define POINTER_BLANK 1
11971_ACEOF 12665_ACEOF
11972 12666
11973fi 12667fi
11974if test x$support_cursor_blink = xyes; then
11975
11976cat >>confdefs.h <<\_ACEOF
11977#define CURSOR_BLINK 1
11978_ACEOF
11979
11980fi
11981if test x$support_text_blink = xyes; then 12668if test x$support_text_blink = xyes; then
11982 12669
11983cat >>confdefs.h <<\_ACEOF 12670cat >>confdefs.h <<\_ACEOF
11984#define TEXT_BLINK 1 12671#define TEXT_BLINK 1
11985_ACEOF 12672_ACEOF
12039#define ENCODING_ZH_EXT 1 12726#define ENCODING_ZH_EXT 1
12040_ACEOF 12727_ACEOF
12041 ;; 12728 ;;
12042 esac 12729 esac
12043done 12730done
12731
12732IF_PERL=\#
12733if test x$support_perl = xyes; then
12734 # Extract the first word of "perl5", so it can be a program name with args.
12735set dummy perl5; ac_word=$2
12736echo "$as_me:$LINENO: checking for $ac_word" >&5
12737echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12738if test "${ac_cv_path_PERL+set}" = set; then
12739 echo $ECHO_N "(cached) $ECHO_C" >&6
12740else
12741 case $PERL in
12742 [\\/]* | ?:[\\/]*)
12743 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12744 ;;
12745 *)
12746 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12747for as_dir in $PATH
12748do
12749 IFS=$as_save_IFS
12750 test -z "$as_dir" && as_dir=.
12751 for ac_exec_ext in '' $ac_executable_extensions; do
12752 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12753 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12754 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12755 break 2
12756 fi
12757done
12758done
12759
12760 ;;
12761esac
12762fi
12763PERL=$ac_cv_path_PERL
12764
12765if test -n "$PERL"; then
12766 echo "$as_me:$LINENO: result: $PERL" >&5
12767echo "${ECHO_T}$PERL" >&6
12768else
12769 echo "$as_me:$LINENO: result: no" >&5
12770echo "${ECHO_T}no" >&6
12771fi
12772
12773 # Extract the first word of "perl", so it can be a program name with args.
12774set dummy perl; ac_word=$2
12775echo "$as_me:$LINENO: checking for $ac_word" >&5
12776echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12777if test "${ac_cv_path_PERL+set}" = set; then
12778 echo $ECHO_N "(cached) $ECHO_C" >&6
12779else
12780 case $PERL in
12781 [\\/]* | ?:[\\/]*)
12782 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12783 ;;
12784 *)
12785 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12786for as_dir in $PATH
12787do
12788 IFS=$as_save_IFS
12789 test -z "$as_dir" && as_dir=.
12790 for ac_exec_ext in '' $ac_executable_extensions; do
12791 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12792 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12793 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12794 break 2
12795 fi
12796done
12797done
12798
12799 ;;
12800esac
12801fi
12802PERL=$ac_cv_path_PERL
12803
12804if test -n "$PERL"; then
12805 echo "$as_me:$LINENO: result: $PERL" >&5
12806echo "${ECHO_T}$PERL" >&6
12807else
12808 echo "$as_me:$LINENO: result: no" >&5
12809echo "${ECHO_T}no" >&6
12810fi
12811
12812
12813 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12814echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12815 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12816
12817 save_CXXFLAGS="$CXXFLAGS"
12818 save_LIBS="$LIBS"
12819 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12820 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12821 cat >conftest.$ac_ext <<_ACEOF
12822/* confdefs.h. */
12823_ACEOF
12824cat confdefs.h >>conftest.$ac_ext
12825cat >>conftest.$ac_ext <<_ACEOF
12826/* end confdefs.h. */
12827
12828#include <EXTERN.h>
12829#include <perl.h>
12830#include <XSUB.h>
12831
12832int
12833main ()
12834{
12835
12836 PerlInterpreter *perl = perl_alloc ();
12837
12838 ;
12839 return 0;
12840}
12841_ACEOF
12842rm -f conftest.$ac_objext conftest$ac_exeext
12843if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12844 (eval $ac_link) 2>conftest.er1
12845 ac_status=$?
12846 grep -v '^ *+' conftest.er1 >conftest.err
12847 rm -f conftest.er1
12848 cat conftest.err >&5
12849 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12850 (exit $ac_status); } &&
12851 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12852 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12853 (eval $ac_try) 2>&5
12854 ac_status=$?
12855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12856 (exit $ac_status); }; } &&
12857 { ac_try='test -s conftest$ac_exeext'
12858 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12859 (eval $ac_try) 2>&5
12860 ac_status=$?
12861 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12862 (exit $ac_status); }; }; then
12863 rxvt_perl_link=yes
12864else
12865 echo "$as_me: failed program was:" >&5
12866sed 's/^/| /' conftest.$ac_ext >&5
12867
12868rxvt_perl_link=no
12869fi
12870rm -f conftest.err conftest.$ac_objext \
12871 conftest$ac_exeext conftest.$ac_ext
12872 CXXFLAGS="$save_CXXFLAGS"
12873 LIBS="$save_LIBS"
12874
12875 if test x$rxvt_perl_link = xyes; then
12876 echo "$as_me:$LINENO: result: ok" >&5
12877echo "${ECHO_T}ok" >&6
12878
12879cat >>confdefs.h <<\_ACEOF
12880#define ENABLE_PERL 1
12881_ACEOF
12882
12883 IF_PERL=
12884 PERL_O=rxvtperl.o
12885 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12886 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12887 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12888 else
12889 support_perl=no
12890 echo "$as_me:$LINENO: result: no, unable to link" >&5
12891echo "${ECHO_T}no, unable to link" >&6
12892 fi
12893 else
12894 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12895echo "$as_me: error: no working perl found" >&2;}
12896 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12897 support_perl=no
12898 fi
12899fi
12900
12901
12902
12903
12904
12905
12906
12907if test x$support_perl = xyes; then
12908 support_frills=yes
12909fi
12044 12910
12045 12911
12046CFLAGS=${CFLAGS--O} 12912CFLAGS=${CFLAGS--O}
12047LDFLAGS=${LDFLAGS--O} 12913LDFLAGS=${LDFLAGS--O}
12048 12914
12063fi 12929fi
12064 12930
12065 12931
12066 12932
12067 12933
12068
12069if test x$support_addstrings = xno; then
12070
12071cat >>confdefs.h <<\_ACEOF
12072#define NO_STRINGS 1
12073_ACEOF
12074
12075fi
12076 12934
12077MCOMMON=./autoconf/Make.common 12935MCOMMON=./autoconf/Make.common
12078 12936
12079 12937
12080test "$program_prefix" != NONE && 12938test "$program_prefix" != NONE &&
12829s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13687s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
12830s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13688s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
12831s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13689s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
12832s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13690s,@rxvt_intp_define@,$rxvt_intp_define,;t t
12833s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13691s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13692s,@PERL@,$PERL,;t t
13693s,@PERLLIB@,$PERLLIB,;t t
13694s,@PERLFLAGS@,$PERLFLAGS,;t t
13695s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13696s,@IF_PERL@,$IF_PERL,;t t
13697s,@PERL_O@,$PERL_O,;t t
12834s,@DEBUG@,$DEBUG,;t t 13698s,@DEBUG@,$DEBUG,;t t
12835s,@DINCLUDE@,$DINCLUDE,;t t 13699s,@DINCLUDE@,$DINCLUDE,;t t
12836s,@DLIB@,$DLIB,;t t 13700s,@DLIB@,$DLIB,;t t
12837s,@include_stdint_h@,$include_stdint_h,;t t 13701s,@include_stdint_h@,$include_stdint_h,;t t
12838s,@include_stdarg_h@,$include_stdarg_h,;t t 13702s,@include_stdarg_h@,$include_stdarg_h,;t t
13379 utmp file: $rxvt_cv_path_utmp 14243 utmp file: $rxvt_cv_path_utmp
13380 utmpx file: $rxvt_cv_path_utmpx 14244 utmpx file: $rxvt_cv_path_utmpx
13381 wtmp file: $rxvt_cv_path_wtmp 14245 wtmp file: $rxvt_cv_path_wtmp
13382 wtmpx file: $rxvt_cv_path_wtmpx 14246 wtmpx file: $rxvt_cv_path_wtmpx
13383 lastlog file: $rxvt_cv_path_lastlog 14247 lastlog file: $rxvt_cv_path_lastlog
13384 ttys/ttytab file: $rxvt_cv_path_ttytab" 14248 ttys/ttytab file: $rxvt_cv_path_ttytab
14249 embedded perl: $support_perl"
13385 echo 14250 echo
13386fi 14251fi
13387if test x$term != x; then 14252if test x$term != x; then
13388 echo " set TERM to: $term" 14253 echo " set TERM to: $term"
13389fi 14254fi
13422 14287
13423echo " *** Optionally check src/feature.h for further options ***" 14288echo " *** Optionally check src/feature.h for further options ***"
13424echo 14289echo
13425 14290
13426echo ".----------------------------------------------------------------." 14291echo ".----------------------------------------------------------------."
13427echo ". NOTE: most features are disabled by default, try ." 14292echo ". NOTE: some features are disabled by default, try ."
13428echo ". configure --help to get an idea of the optional features, ." 14293echo ". configure --help to get an idea of the optional features, ."
13429echo ". or read ./README.configure ." 14294echo ". or read ./README.configure ."
13430echo ". ." 14295echo ". ."
13431echo ". The script ./reconf gives a reasonable baseline, try it if ." 14296echo ". The script ./reconf gives a reasonable baseline, try it if ."
13432echo ". you do not want to read documentation and still want some ." 14297echo ". you do not want to read documentation and still want some ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines